Knowledgebase - List All
Gets all knowledgebases for a user.
GET {Endpoint}/qnamaker/v4.0/knowledgebases
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
Endpoint
|
path | True |
|
Supported Cognitive Services endpoint (e.g., https://< qnamaker-resource-name> .api.cognitiveservices.azure.com). |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Ocp-Apim-Subscription-Key | True |
|
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Collection of knowledgebases. |
|
| Other Status Codes |
Error response. |
Security
Ocp-Apim-Subscription-Key
Type:
apiKey
In:
header
Examples
Successful query
Sample Request
GET {Endpoint}/qnamaker/v4.0/knowledgebases
Ocp-Apim-Subscription-Key: {API key}
Sample Response
{
"knowledgebases": [
{
"id": "9d091697-fb8c-4ed5-9ac0-35bf8273bfff",
"hostName": "https://myqnamakerbot.azurewebsites.net",
"lastAccessedTimestamp": "2018-03-16T10:59:46Z",
"lastChangedTimestamp": "2018-03-16T10:58:10Z",
"lastPublishedTimestamp": "2018-03-16T10:59:56Z",
"name": "My QnA Maker Bot",
"userId": "03a4f4ce-30a6-4ec6-b436-02bcdf6153e1",
"urls": [
"https://docs.microsoft.com/en-in/azure/cognitive-services/qnamaker/faqs",
"https://docs.microsoft.com/en-us/bot-framework/resources-bot-framework-faq"
],
"sources": [
"Custom Editorial",
"SurfaceManual.pdf"
]
}
]
}
Definitions
| Error |
The error object. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses. |
|
Error |
One of a server-defined set of error codes. |
|
Error |
Error response. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses. |
|
Inner |
An object containing more specific information about the error. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses. |
| KnowledgebaseDTO |
Response schema for CreateKb operation. |
| KnowledgebasesDTO |
Collection of knowledgebases owned by a user. |
Error
The error object. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses.
| Name | Type | Description |
|---|---|---|
| code |
One of a server-defined set of error codes. |
|
| details |
|
An array of details about specific errors that led to this reported error. |
| innerError |
An object containing more specific information than the current object about the error. |
|
| message |
|
A human-readable representation of the error. |
| target |
|
The target of the error. |
ErrorCodeType
One of a server-defined set of error codes.
| Name | Type | Description |
|---|---|---|
| BadArgument |
|
|
| EndpointKeysError |
|
|
| ExtractionFailure |
|
|
| Forbidden |
|
|
| KbNotFound |
|
|
| NotFound |
|
|
| OperationNotFound |
|
|
| QnaRuntimeError |
|
|
| QuotaExceeded |
|
|
| SKULimitExceeded |
|
|
| ServiceError |
|
|
| Unauthorized |
|
|
| Unspecified |
|
|
| ValidationFailure |
|
ErrorResponse
Error response. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses.
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
InnerErrorModel
An object containing more specific information about the error. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses.
| Name | Type | Description |
|---|---|---|
| code |
|
A more specific error code than was provided by the containing error. |
| innerError |
An object containing more specific information than the current object about the error. |
KnowledgebaseDTO
Response schema for CreateKb operation.
| Name | Type | Description |
|---|---|---|
| hostName |
|
URL host name at which the knowledgebase is hosted. |
| id |
|
Unique id that identifies a knowledgebase. |
| lastAccessedTimestamp |
|
Time stamp at which the knowledgebase was last accessed (UTC). |
| lastChangedTimestamp |
|
Time stamp at which the knowledgebase was last modified (UTC). |
| lastPublishedTimestamp |
|
Time stamp at which the knowledgebase was last published (UTC). |
| name |
|
Friendly name of the knowledgebase. |
| sources |
|
Custom sources from which Q-A were extracted or explicitly added to the knowledgebase. |
| urls |
|
URL sources from which Q-A were extracted and added to the knowledgebase. |
| userId |
|
User who created / owns the knowledgebase. |
KnowledgebasesDTO
Collection of knowledgebases owned by a user.
| Name | Type | Description |
|---|---|---|
| knowledgebases |
Collection of knowledgebase records. |